Package org.pushingpixels.lafwidget.text

# Class LockBorder

java.lang.Object
org.pushingpixels.lafwidget.text.LockBorder

All Implemented Interfaces:
  `Border`, `UIResource`

public class LockBorder extends Object implements Border, UIResource
Border with "lock" indication.

## Constructor Summary

Constructors
Constructor
Description
`LockBorder(Border originalBorder)`
Constructs a new lock border.

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`Border`
`getOriginalBorder()`
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LockBorder

public LockBorder(Border originalBorder)
Constructs a new lock border.

Parameters:
  `originalBorder` - The original border.

## Method Details

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`

### getOriginalBorder

public Border getOriginalBorder()

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`